Package tigase.util.setup

# Class SetupHelper

java.lang.Object
tigase.util.setup.SetupHelper

public class SetupHelper extends Object
Created by andrzej on 30.03.2017.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `SetupHelper.HttpSecurity`
  `static enum`
  `SetupHelper.RestApiSecurity`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SetupHelper()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static BeanDefinition`
  `convertToBeanDefinition(Class<?> cls)`
  `static ConfigBuilder`
  `generateConfig(ConfigTypeEnum configType, String dbUri, boolean clusterMode, boolean acs, Optional<Set<String>> optionalComponentsOption, Optional<Set<String>> forceEnabledComponentsOptions, Optional<Set<String>> pluginsOption, String defaultVirtualHost, Optional<BareJID[]> admins, Optional<SetupHelper.HttpSecurity> httpSecurity)`
  `static List<BeanDefinition>`
  `getAvailableBeans(Class processorClazz)`
  `static List<BeanDefinition>`
  `getAvailableBeans(Class processorClazz, Class componentClazz)`
  `static List<BeanDefinition>`
  `getAvailableComponents()`
  `static List<BeanDefinition>`
  `getAvailableProcessors(Class componentClazz, Class processorClazz)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SetupHelper

    public SetupHelper()

- ## Method Details

  - ### convertToBeanDefinition

    public static BeanDefinition convertToBeanDefinition(Class<?> cls)

  - ### generateConfig

    public static ConfigBuilder generateConfig(ConfigTypeEnum configType, String dbUri, boolean clusterMode, boolean acs, Optional<Set<String>> optionalComponentsOption, Optional<Set<String>> forceEnabledComponentsOptions, Optional<Set<String>> pluginsOption, String defaultVirtualHost, Optional<BareJID[]> admins, Optional<SetupHelper.HttpSecurity> httpSecurity)

  - ### getAvailableBeans

    public static List<BeanDefinition> getAvailableBeans(Class processorClazz)

  - ### getAvailableBeans

    public static List<BeanDefinition> getAvailableBeans(Class processorClazz, Class componentClazz)

  - ### getAvailableComponents

    public static List<BeanDefinition> getAvailableComponents()

  - ### getAvailableProcessors

    public static List<BeanDefinition> getAvailableProcessors(Class componentClazz, Class processorClazz)